
#include "TSimulationParameterNeutronDetector.hh"

#include <iostream>

ClassImp(TSimulationParameterNeutronDetector)

TSimulationParameterNeutronDetector* gSimulationParameterNeutronDetector = 0;

std::ostream& operator<<(std::ostream& out, const TSimulationParameterNeutronDetector& simulationParameterNeutronDetector)
{
  out << simulationParameterNeutronDetector.fNeutNumber << " ";
  out << simulationParameterNeutronDetector.fNeutSize.X() << " ";
  out << simulationParameterNeutronDetector.fNeutSize.Y() << " ";
  out << simulationParameterNeutronDetector.fNeutSize.Z() << " ";
  out << simulationParameterNeutronDetector.fNeutGap << " ";
  out << simulationParameterNeutronDetector.fNeutRotationMode;

  out << simulationParameterNeutronDetector.fVetoNumber << " ";
  out << simulationParameterNeutronDetector.fVetoSize.X() << " ";
  out << simulationParameterNeutronDetector.fVetoSize.Y() << " ";
  out << simulationParameterNeutronDetector.fVetoSize.Z() << " ";
  out << simulationParameterNeutronDetector.fVetoGap.Y() << " ";
  out << simulationParameterNeutronDetector.fVetoGap.Z() << " ";
  out << simulationParameterNeutronDetector.fVetoRotationMode;

  out << simulationParameterNeutronDetector.fNeutLayerNumber << " ";
  out << simulationParameterNeutronDetector.fNeutLayerGap << " ";

  out << simulationParameterNeutronDetector.fNeutVetoGap << " ";

  out << simulationParameterNeutronDetector.fStuckNumber << " ";
  out << simulationParameterNeutronDetector.fStuckGap << " ";

  out << simulationParameterNeutronDetector.fPosition.X() << " ";
  out << simulationParameterNeutronDetector.fPosition.Y() << " ";
  out << simulationParameterNeutronDetector.fPosition.Z() << " ";

  return out;
}

TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector()
  : TNamed()
{;}

TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector(const char* name, const char* title)
  : TNamed(name, title)
{;}

TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector(const TString& name, const TString& title)
  : TNamed(name, title)
{;}

TSimulationParameterNeutronDetector::~TSimulationParameterNeutronDetector()
{;}
